Name:       ibus-indic-table
Version:    1.3.1
Release:    2%{?dist}
Summary:    The Table engine for IBus platform
License:    LGPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://fedorapeople.org/~nkumar/ibus-indic-table/ibus-indic-table-1.3.1/%{name}-%{version}.tar.gz
Patch0:	    i-i-t-683739.patch
Requires:       ibus
BuildRequires:  ibus-devel
BuildArch:  noarch

%description
The Indic Table engine for IBus platform.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static --disable-additional
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install pkgconfigdir=%{_datadir}/pkgconfig

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/%{name}
%{_datadir}/ibus/component/indic-table.xml
%{_bindir}/%{name}-createdb
%{_libexecdir}/ibus-engine-indic-table
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Wed Mar 16 2011 Naveen Kumar <nav007@gmail.com> - 1.3.1-2
- reolves bug #683739
- apply patch i-i-t-683739.patch

* Tue Mar 8 2011 Naveen Kumar <nav007@gmail.com> - 1.3.1-1
- new upstream release

* Fri Mar 4 2011 Naveen Kumar <nav007@gmail.com> - 1.3.0-2
- changes in upstream source with respect to file permissions & version info
- removed date suffix to conform to new style of packaging ibus-engines

* Wed Mar 2 2011 Naveen Kumar <nav007@gmail.com> - 1.3.0-1
- The first version.
- derieved from ibus-table developed by Yu Yuwei <acevery@gmail.com>
